from core import Request
from bank_protocol.exceptions import InvalidRequest

def account_deposit(request: Request):
    split_body = request.body.split("/")
    split_ip = split_body[1].split(" ")

    account = split_body[0]
    ip = split_ip[0]
    amount = split_ip[1]

    if not account.isdigit():
        raise InvalidRequest("Account must be a number")

    account_parsed = int(account)

    if account_parsed < 10_000 or account_parsed > 99_999:
        raise InvalidRequest("Account number out of range")


__all__ = ["account_deposit"]
