import socket
from typing import Tuple

from core import Request, Response
from bank_protocol.exceptions import ProxyError


class BankProxy():
    def __init__(self, request: Request, address: Tuple):
        self.request = request
        self.address = address

    def proxy_request(self) -> Response:
        try:
            with socket.socket(socket.AF_INET, socket.SOCK_STREAM) as client_socket:
                client_socket.connect(self.address)

                client_socket.sendall(self.request.as_request())

                response = client_socket.recv(1024)
                return response
        except socket.error as e:
            raise ProxyError("Proxy error") from e
