class DatabaseError(Exception):
    def __init__(self, message: str):
        super().__init__(message)
        self.message = message


class DatabaseConnectionError(DatabaseError):
    def __init__(self, message: str):
        super().__init__(message)
        self.message = message


class EmptyDatabaseConfigError(Exception):
    def __init__(self, message: str, config_name: str):
        super().__init__(message)

        self.message = message
        self.config_name = config_name


class DuplicateEntryError(DatabaseError):
    def __init__(self, duplicate_entry_name: str, message: str):
        super().__init__(message)
        self.duplicate_entry_name = duplicate_entry_name
        self.message = message


__all__ = ["DatabaseError", "DatabaseConnectionError", "DuplicateEntryError"]
